"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RemoteOpenerContributionClient = void 0;
const tslib_1 = require("tslib");
const di_1 = require("@opensumi/di");
const ide_core_browser_1 = require("@opensumi/ide-core-browser");
const ide_core_common_1 = require("@opensumi/ide-core-common");
const common_1 = require("../common");
// 从extension.contribution.ts中Copy过来，因为直接引入会有一定概率触发IDE初始化问题
const getClientId = (injector) => {
    const service = injector.get(ide_core_common_1.IApplicationService);
    return service.clientId;
};
let RemoteOpenerContributionClient = class RemoteOpenerContributionClient {
    constructor() {
        this.debug = (0, ide_core_common_1.getDebugLogger)();
    }
    onStart() {
        const contributions = this.contributionProvider.getContributions();
        for (const contribution of contributions) {
            contribution.registerConverter(this.remoteOpenerService);
        }
    }
    onStop() {
        try {
            const clientId = getClientId(this.injector);
            this.remoteOpenerNodeService.removeConnectionClientId(clientId);
        }
        catch (e) {
            this.debug.error(e);
        }
    }
};
tslib_1.__decorate([
    (0, di_1.Autowired)(di_1.INJECTOR_TOKEN),
    tslib_1.__metadata("design:type", di_1.Injector)
], RemoteOpenerContributionClient.prototype, "injector", void 0);
tslib_1.__decorate([
    (0, di_1.Autowired)(common_1.RemoteOpenerServicePath),
    tslib_1.__metadata("design:type", Object)
], RemoteOpenerContributionClient.prototype, "remoteOpenerNodeService", void 0);
tslib_1.__decorate([
    (0, di_1.Autowired)(common_1.RemoteOpenerConverterContribution),
    tslib_1.__metadata("design:type", Object)
], RemoteOpenerContributionClient.prototype, "contributionProvider", void 0);
tslib_1.__decorate([
    (0, di_1.Autowired)(common_1.RemoteOpenerBrowserServiceToken),
    tslib_1.__metadata("design:type", Object)
], RemoteOpenerContributionClient.prototype, "remoteOpenerService", void 0);
RemoteOpenerContributionClient = tslib_1.__decorate([
    (0, ide_core_common_1.Domain)(ide_core_browser_1.ClientAppContribution)
], RemoteOpenerContributionClient);
exports.RemoteOpenerContributionClient = RemoteOpenerContributionClient;
//# sourceMappingURL=remote.opener.contribution.js.map